> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/partner-api/flows/onboarding-status.md).

# Onboarding status

API for retrieving the current status of a given onboarding.

### API Interface

## Get Onboarding status object by a onboarding uid

<mark style="color:blue;">`GET`</mark> `/api/partners/onboarding/{onboarding_uid}`

#### Path Parameters

| Name                                              | Type   | Description                  |
| ------------------------------------------------- | ------ | ---------------------------- |
| onboarding\_uid<mark style="color:red;">\*</mark> | String | Onboarding unique identifier |

#### Headers

| Name          | Type   | Description                    |
| ------------- | ------ | ------------------------------ |
| Authorization | String | Auth token from auth/token API |

{% tabs %}
{% tab title="200: OK OK" %}
**See Onboarding Status entity schema:** [# Onboarding-status-entity](/sensepay/partner-api/models/onboarding-status-model.md)

```javascript
{
    "uid": "06a6abb6-5da9-47c0-a35f-dd8db215a8e1",
    "status": "Approved",
    "message": null,
    "merchant": {
        "merchant_info": {
            "category": "ski",
            "city": "abrotzo",
            "country": "Italy",
            "email": "merchant2@email.com",
            "house_number": 100,
            "phone_number": "19148759682",
            "social_id": "89485712",
            "name": "ski and snowboard inc",
            "state": "my state",
            "street": "very goood thing",
            "website": null,
            "locale": "USA"
        },
        "merchant_owner_info": {
            "email": "contact@me.com",
            "name": "moshe israel",
            "phone_number": "1555888999",
            "social_id": null
        },
        "active": true,
        "verified": false,
        "status": {
            "uid": "2",
            "name": "Approved"
        },
        "uid": "27fd4624-2fd5-4b31-ad29-67f1a85e5ec3",
        "created": "2023-01-23T09:26:02.548Z",
        "displayName": "ski&snowboard",
        "logo": null,
        "locations": [
            {
                "active": true,
                "verified": false,
                "uid": "eca844e7-cc30-438c-ac80-107cbb837cb9",
                "created": "2023-01-23T09:26:02.827Z",
                "display_name": "my store",
                "number": "1",
                "apiKey": "usbs5vnwffp3v8on2zrqld2gd60boj2048ixh9ub0zbkwk1pflobxybn"
            }
        ]
    }
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid Input" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Schema

Full Onboarding Status Entity schema: [# Onboarding-status-entity](/sensepay/partner-api/models/onboarding-status-model.md)

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/partner-api/flows/onboarding-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
